View Issue Details

IDProjectCategoryView StatusLast Update
0003948unrealircdpublic2013-01-14 10:26
ReporterEmanAssigned Tonenolod 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4-alpha1 
Summary0003948: Drop webtv support
Descriptionwebtv aka msntv is effectively dead at this point. i suggest removing support for it from unreal.

from #unreal3-devel
[2010/08/24 - 1:04:08PM] <Erik> binki: i cant help but think that maybe its time to drop webtv support
[2010/08/24 - 1:04:43PM] <@binki> erik: help me by filing a bug asking for that :-D
[2010/08/24 - 1:04:52PM] <@binki> i.e., that's what I'd like to do too
TagsNo tags attached.
3rd party modules

Activities

White_Magic

2011-04-09 15:59

reporter   ~0016640

I'm sure we all agree msntv is dying if not dead by now but not sure about *dropping*, renaming it to something else but keeping its feature of making all notices -> pvts is however something i'd like to see kept:

Its a great tool to help any client connected to the server determine if there is a problem with handling notices.

It also acts has a nice application of helping to restrain pressure on clients attempting to handle floods, since alot of bots flood via pvt and notice at the same time, the client will do (slightly) less work since its not attempting to keep up with X notices & X pvts at one moment in time (aimed namely at clients like mirc,kvirc)

Most services now come with the option to enable pvt over notices, why shouldn't the ircd?

(thou this is trivial) I use it for making logging things easier via mirc, while i do use notices normally, when i need information stored in 1 place easier +V is the answer to this problem + with the help of patchs (as syzop has done for me many times before) +V extends the use of some clients by translating raw's into pvts so room ops on clients like msntv and Iphones/Ipods (whatever they are called) can do more things like a normal client can.

nenolod

2012-03-25 20:42

reporter   ~0016960

RFC1459 requires that clients accept NOTICE. Having complex codepaths in the IRCd to support broken software is not worthwhile considering that support was only added due to the large number of WebTV users in the first place.

WebTV is since gone, and it is infact impossible to use any WebTV device for a few years now.

So this code should really go away...

Jobe1986

2012-05-10 19:25

reporter   ~0016997

The other WebTV feature UnrealIRCd has, I don't see mentioned here, although useful should probably be removed.

The feature I am referring to is the pseudo IRC user designed and intended for WebTV clients to be able to issue raw IRC commands that WebTV did not support by way of simply PRIVMSG'ing them to the nick IRC.

static-x

2012-05-11 01:28

reporter   ~0016999

Last edited: 2012-05-13 17:57

View 2 revisions

Not really webtv is still being used on some irc servers.
Maybe make it optional as a module for some that need it.

katsklaw

2012-07-07 21:17

reporter   ~0017035

@nenolod. Webtv is not dead and they do still have active users. I personally chat with a few on a near daily basis.

Imvho, harmless features should not be removed based solely on a select few individuals opinion.

Eman

2012-08-05 23:12

reporter   ~0017056

webtv is still being used on some irc servers. [citation needed]

so just because "some" users still use an ancient system, everyone else is supposed to suffer with the extra crap it requires in unreal?

a shitty netbook costs under $300 and can run real software, while not being tied to an ancient, low resolution tv.

syzop

2013-01-09 10:30

administrator   ~0017322

I'm normally against removing features if people still use them, there has to be a good reason!
In this case, there's simply too much code that has to deal with webtv (which, let's face it.. is a very crappy implementation of IRC, or possibly not an implementation of IRC at all).
It's presence in the source is plain ugly and has already causes a serious security issue before (8+ years ago), I think anyone reading the IRCd source will agree with me it just has to go.

Let's finally remove this in 3.4.x!

We'll keep it in 3.2.x. By the time support for 3.2.x is dropped, nobody should use a webtv (v1) anymore.

syzop

2013-01-09 10:31

administrator   ~0017323

(this issue is not assigned to me, nenolod feel free to take this, or anyone else)

static-x

2013-01-10 00:15

reporter   ~0017345

My network still supports webtv clients as we are on there listed servers. So if this is removed can this be put in a module forum for those who want to still support it?

syzop

2013-01-11 16:58

administrator   ~0017349

I doubt there will be any official module for webtv. Of course there might be 3rd party modules, if someone creates them.

3.2.x series will be officially supported for another year or two, and webtv support will stay in there.

nenolod

2013-01-14 10:25

reporter   ~0017358

http://hg.unrealircd.org/hg/unreal/rev/bb677a9cd632
http://hg.unrealircd.org/hg/unreal/rev/2976fc73ae46

Issue History

Date Modified Username Field Change
2010-08-24 19:09 Eman New Issue
2011-04-09 15:59 White_Magic Note Added: 0016640
2012-03-25 20:42 nenolod Note Added: 0016960
2012-05-10 19:25 Jobe1986 Note Added: 0016997
2012-05-11 01:28 static-x Note Added: 0016999
2012-05-13 17:57 static-x Note Edited: 0016999 View Revisions
2012-07-07 21:17 katsklaw Note Added: 0017035
2012-08-05 23:12 Eman Note Added: 0017056
2013-01-09 10:30 syzop Note Added: 0017322
2013-01-09 10:30 syzop Assigned To => syzop
2013-01-09 10:30 syzop Status new => acknowledged
2013-01-09 10:31 syzop Note Added: 0017323
2013-01-09 10:31 syzop Assigned To syzop =>
2013-01-10 00:15 static-x Note Added: 0017345
2013-01-11 16:58 syzop Note Added: 0017349
2013-01-14 10:25 nenolod Note Added: 0017358
2013-01-14 10:25 nenolod Status acknowledged => resolved
2013-01-14 10:25 nenolod Fixed in Version => 3.4-alpha1
2013-01-14 10:25 nenolod Resolution open => fixed
2013-01-14 10:25 nenolod Assigned To => nenolod